Package com.smartgwt.client.types

# Enum ChildrenPropertyMode

java.lang.Object
java.lang.Enum<ChildrenPropertyMode>
com.smartgwt.client.types.ChildrenPropertyMode

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<ChildrenPropertyMode>`, `Constable`

public enum ChildrenPropertyMode extends Enum<ChildrenPropertyMode> implements ValueEnum
when heuristically finding a property that appears to contain child objects, the ChildrenPropertyMode determines how to chose the property appears to contain child objects

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ANY`
  assume the first object or array value we find is the children property
  `ARRAY`
  assume the first array we find is the children property, no matter the contents
  `OBJECT`
  assume the first object or array of objects we find is the children property (don't allow arrays that don't have objects)
  `OBJECTARRAY`
  accept only an array of objects as the children property

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static ChildrenPropertyMode`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static ChildrenPropertyMode[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ANY

    public static final ChildrenPropertyMode ANY
    assume the first object or array value we find is the children property

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "any".

  - ### ARRAY

    public static final ChildrenPropertyMode ARRAY
    assume the first array we find is the children property, no matter the contents

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "array".

  - ### OBJECT

    public static final ChildrenPropertyMode OBJECT
    assume the first object or array of objects we find is the children property (don't allow arrays that don't have objects)

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "object".

  - ### OBJECTARRAY

    public static final ChildrenPropertyMode OBJECTARRAY
    accept only an array of objects as the children property

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "objectArray".

- ## Method Details

  - ### values

    public static ChildrenPropertyMode[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ChildrenPropertyMode valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`